Authentication Secret Key (recommended)

This authentication function is the recommended alternative of using a secret key for API integrations.

It uses:

  • username - account email
  • developer_key - API Key (public identifier)
  • secret_key - Secret Key (confidential)

⚠️ Secret Key is confidential and must not be shared

An authorization token is returned (valid for 1 hour) and must be included in all subsequent API calls.

Secret Key can be generated and managed from the account's Developer page.

The legacy password-based method (GET https://api.liveconsent.com/LCSWS/account/authentication) remains available but will be deprecated in the future.

We recommend all new integrations use this method instead.

API function usage type: Standard
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Authentication Secret Key Request Body

string
required

email address (used on LCS subscription)

string
required

secret key associated to the username

string
required

web service developer key (provided by Liveconsent Support)

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json